Upgrade Kodi for Debian

Hello, I have installed Kodi on my mini PC. There’s old version of Kodi 17.6 and Emby connection don’t work. Is there a way to upgrade Kodi to last version?

Regards,
Przemek

Hi,

Kodi is installed directly from Debian package repository using apt.

As there is no newer version available https://packages.debian.org/buster/kodi

you would need to compile it yourself https://github.com/xbmc/xbmc/blob/master/docs/README.Ubuntu.md

Hi, Joulinar thanks for answer. Can You tell me can I install with that guide:
https://basilgello.github.io/kodi-nightly-debian-repo/

and how it would work with dietpi-config autostart configuration?

Edit. It work perfect on Dietpi :slight_smile:

Regards.

well it should :slight_smile:

DietPi is not an own OS. On amd64 hardware you are running plain Debian with DietPi scripts on top.

I know but I was afraid that kodi autostart might not work because some Dietpi3 scripts. But everything works OK, including Emby app.
Do You know maybe it’s possible to add HDMI-CEC to work on mini PC like on Rpi? It will be nice to use TV pilot :slight_smile:
Regards.

I guess it’s possible but I’m not experienced with it.

OK, thanks for help.

regards.

for anyone who stumbles onto this in the future, this works perfectly without any need to compile

https://basilgello.github.io/kodi-nightly-debian-repo/

well following this will add Debian buster-backports to your source list. I’m not sure that this is working on 32bit DietPi for RPi, which is using Raspberry OS 32bit base image.